Skip to content

ML Prep API (v1)

Download OpenAPI description
Languages
Servers
Mock server

http://{{your_prep_ip_address}}/

Authenticate

Operations

Backups

Operations

Calibration

Operations

Receives previous channel calibration results

Request

Security
Bearer
curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/calibration/channel-results' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Get Channel Calibration Results was successful

Bodyapplication/jsonArray [
idinteger(int32)

The id for the calibration result

calibrationDatestring(date-time)

The date the calibration was performed

statusstring or null

The status of the calibration, will either be Pass or Fail

messagestring or null

An error message if applicable

hasErrorboolean

Whether or not the calibration has errors

channelSkewobject(ChannelSkewDto)
channelOffsetobject(ChannelOffsetDto)
channelWarningsArray of objects or null(ChannelWarningDto)

Channel warnings from the calibration, if any exist.

]
Response
application/json
[ { "id": 1, "calibrationDate": "2020-02-20T20:32:05", "status": "Ok", "message": "Calibration 1 completed successfully.", "hasError": false, "channelSkew": {}, "channelOffset": {}, "channelWarnings": null }, { "id": 2, "calibrationDate": "2020-02-21T19:17:12", "status": "Failed", "message": "Calibration 2 failed to complete.", "hasError": true, "channelSkew": null, "channelOffset": null, "channelWarnings": null } ]

Submits channel calibration result

Request

Security
Bearer
Body
statusstring or null

The status of the calibration, will either be Pass or Fail

messagestring or null

An error message if applicable

hasErrorboolean

Whether or not the calibration has errors

channelSkewobject(ChannelSkewDto)
channelOffsetobject(ChannelOffsetDto)
channelWarningsArray of objects or null(ChannelWarningDto)

Channel warnings from the calibration, if any exist.

curl -i -X POST \
  'http://{{your_prep_ip_address}}/api/v1/calibration/channel-results' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json-patch+json' \
  -d '{
    "status": "Ok",
    "message": "Calibration completed successfully.",
    "hasError": false,
    "channelSkew": null,
    "channelOffset": null,
    "channelWarnings": null
  }'

Responses

Post Channel Calibration Results was successful

Response
No content

Exports channel calibration results

Request

Security
Bearer
curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/calibration/export' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Export was successful

Bodyapplication/json
fileNamestring or null
fileBytesstring or null(byte)
fileExtensionstring or nullread-only
Response
application/json
{ "fileName": "string", "fileBytes": "string", "fileExtension": "string" }

Retrieves a calibration image

Request

Security
Bearer
Path
imageNamestringrequired

name of the requested image

curl -i -X GET \
  'http://{{your_prep_ip_address}}/api/v1/calibration/images/{imageName}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Get Image was successful

Bodyapplication/json
object(File)
Response
application/json
{}

Starts self calibration procedure

Request

Security
Bearer
curl -i -X POST \
  'http://{{your_prep_ip_address}}/api/v1/calibration/self-calibration' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Start self calibration was successful

Response
No content

Starts channel height squeeze calibration procedure

Request

Security
Bearer
Body
tipLabwareIdinteger(int32)

The id of the tip labware to use to perform the calibration

tipLabwareSiteinteger(int32)

The id of the site where the tip rack is located

curl -i -X POST \
  'http://{{your_prep_ip_address}}/api/v1/calibration/channel-height-squeeze' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json-patch+json' \
  -d '{
    "tipLabwareId": 1,
    "tipLabwareSite": 2
  }'

Responses

Start Start Channel Height Squeeze Calibration was successful

Response
No content

Starts HEPA filter calibration procedure

Request

Security
Bearer
curl -i -X POST \
  'http://{{your_prep_ip_address}}/api/v1/calibration/hepa-filter-calibration' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Start HEPA filter calibration was successful

Response
No content

Aborts calibration procedure

Request

Security
Bearer
curl -i -X POST \
  'http://{{your_prep_ip_address}}/api/v1/calibration/abort' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Abort was successful

Response
No content

Sends the response to a view

Request

Each view may have different requested responses. These may include ok/cancel/yes/no response and any settings or choices.

Security
Bearer
Body
viewIdstring or null

The id of the view to close

viewResultstring or null

The result for the view

viewInputstring or null

The input of the view

curl -i -X POST \
  'http://{{your_prep_ip_address}}/api/v1/calibration/close-view' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json-patch+json' \
  -d '{
    "viewId": "5854c6bfedba41cba94560861b0075d8",
    "viewResult": "Ok",
    "viewInput": "ViewInput1;ViewInput2"
  }'

Responses

Close view was successful

Response
No content

Sends labware response to a view

Request

Security
Bearer
Body
viewIdstring or null

The id of the view to close

viewResultstring or null

The result for the view

labwareIdstring or null

The labware reference id

labwarePositioninteger(int32)

The position id of the labware

curl -i -X POST \
  'http://{{your_prep_ip_address}}/api/v1/calibration/close-labware-view' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json-patch+json' \
  -d '{
    "viewId": "3d6cdce820474e9591dd819f8bad429c",
    "viewResult": "",
    "labwareId": "7480e08dd4034164b0c37daad240b331",
    "labwarePosition": 2
  }'

Responses

Close view was successful

Response
No content

Begins the deck loading process

Request

Security
Bearer
curl -i -X POST \
  'http://{{your_prep_ip_address}}/api/v1/calibration/begin-load' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Begin load was successful

Response
No content

Ends the deck loading process

Request

Security
Bearer
curl -i -X POST \
  'http://{{your_prep_ip_address}}/api/v1/calibration/end-load' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

End load was successful

Response
No content

Begins the deck cleanup process

Request

Security
Bearer
curl -i -X POST \
  'http://{{your_prep_ip_address}}/api/v1/calibration/begin-cleanup' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Begin cleanup was successful

Response
No content

Ends the deck cleanup process

Request

Security
Bearer
curl -i -X POST \
  'http://{{your_prep_ip_address}}/api/v1/calibration/end-cleanup' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

End cleanup was successful

Response
No content

Camera

Operations

Configuration

Operations

Credentials

Operations

Deck

Operations

Diagnostics

Operations

Enclosure

Operations

Environment

Operations

Errors

Operations

HepaUv

Operations

Instruments

Operations

Labware

Operations

LabwareCategories

Operations

LabwareSignature

Operations

Lighting

Operations

LiquidClass

Operations

Maintenance

Operations

NetworkConfiguration

Operations

Power

Operations

ProtocolRun

Operations

Protocols

Operations

ProtocolSteps

Operations

ProtocolSupport

Operations

ProtocolVerification

Operations

Repair

Operations

Report

Operations

Roles

Operations

RunData

Operations

Screenshots

Operations

ServiceSoftwareApi

Operations

Settings

Operations

SoftwareVersions

Operations

SystemReady

Operations

SystemTime

Operations

ThermalDevice

Operations

Traces

Operations

UserKba

Operations

Users

Operations

Verification

Operations

VerificationResult

Operations